package cn.sh.stc.sict.theme.hphy.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import cn.sh.stc.sict.theme.hphy.model.HpThirdInterfaceStatus;

/**
 * (HpThirdInterfaceStatus)表数据库访问层
 *
 * @author gao
 * @since 2023-07-19 14:17:01
 */
public interface HpThirdInterfaceStatusMapper extends BaseMapper<HpThirdInterfaceStatus> {

/**
* 批量新增数据（MyBatis原生foreach方法）
*
* @param entities List<HpThirdInterfaceStatus> 实例对象列表
* @return 影响行数
*/
int insertBatch(@Param("entities") List<HpThirdInterfaceStatus> entities);

/**
* 批量新增或按主键更新数据（MyBatis原生foreach方法）
*
* @param entities List<HpThirdInterfaceStatus> 实例对象列表
* @return 影响行数
* @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
*/
int insertOrUpdateBatch(@Param("entities") List<HpThirdInterfaceStatus> entities);

void updateStatusByHosCode(@Param("hosOrgCode")String hosOrgCode,
                           @Param("status")Integer status);

}

