package cn.sh.stc.sict.theme.hphy.model;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * (HpThirdInterfaceStatus)表实体类
 *
 * @author gao
 * @since 2023-07-19 14:17:02
 */
@SuppressWarnings("serial")
@Data
public class HpThirdInterfaceStatus extends Model<HpThirdInterfaceStatus> {
    
    private Integer id;
    //机构名称
    private String hosOrgCode;
    //机构代码
    private String hosOrgName;
    //对接状态（1-未对接；2-对接中；3-已对接）
    private Integer interStatus;
    
    private String interDes;
    
    private Date createTime;
    
    private Date updateTime;

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
    }

